@import url("https://fonts.googleapis.com/css2?family=Changa+One&display=swap");
@import url("https://cdn.fontcdn.ir/Font/Persian/Vazir/Vazir.css");

html,
body {
  padding: 0;
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen, Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, sans-serif;
}

* {
  box-sizing: border-box;
  /* border: 1px solid #666; */
}

.container {
  min-height: 100vh;
  padding: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  overflow: scroll;
}

main {
  padding: 2rem 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

header {
  background: rgb(255, 255, 255);
  width: 100vw;
  height: 4rem;
  display: flex;
  align-items: center;
  justify-content: center;
  border-bottom: 1px solid #999;
}

.header-content {
  width: 90%;
  display: flex;
  justify-content: space-between;
}

.header-content h3 {
  font-family: "Changa One", cursive;
  font-size: 2rem;
  font-weight: 400;
  text-shadow: 2px 2px 4px #ccc;
  transition: 0.2s all ease-in-out;
}

.header-content h3:hover {
  text-shadow: 3px 3px 7px #aaa;
  color: #494949;
}

.header-content * {
  display: inline-block;
  padding: auto 0;
  margin: 0;
  color: #444;
}

.logout-nav {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.logout-nav * {
  padding: 0 0.7rem;
  font-weight: 700;
  font-size: 0.9rem;
}

.logout-nav img {
  height: 1.5rem;
  transition: 0.1s all ease-in-out;
}

.logout-nav img:hover {
  transform: scale(1.09);
}

footer {
  width: 100%;
  height: 40px;
  background-color: #eeec;
  border-top: 1px solid #999;
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  bottom: 0;
}

footer img {
  margin-left: 0.5rem;
}

footer a {
  display: flex;
  justify-content: center;
  align-items: center;
}

a {
  color: inherit;
  text-decoration: none;
}

/* Events-Calendar */

.calendar {
  font-family: Vazir;
  padding: 0.2rem 0.8rem 0.8rem 0.8rem;
  text-align: right;
  background-color: #f1f1f1;
  color: #444;
  text-decoration: none;
  border: solid 1px #999;
  border-radius: 10px;
  box-shadow: 7px 7px 20px rgb(214, 214, 214);
  transition: all 0.3s ease;
  overflow: scroll;
  max-height: 78vh;
}

.calendar:hover {
  background-color: #fdfdfd;
  box-shadow: 7px 7px 20px 2px rgb(187, 187, 187);
}

.calendar h3 {
  margin: 0 0.2rem 0.8rem 0;
  font-size: 1.5rem;
  font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen, Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, sans-serif;
  color: #797979;
  transition: all 0.5s ease;
}

.calendar:hover h3 {
  color: #898989;
}

.rbc-toolbar span:nth-child(3) {
  display: none;
}

/* main page */
.grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(450px, 1fr));
  justify-content: center;
  gap: 1rem;
  width: 90%;
}

.card {
  padding: 0.2rem 0.8rem 0.8rem 0.8rem;
  margin-bottom: 0.8rem;
  text-align: right;
  background-color: #bfbfb7;
  color: #797979;
  text-decoration: none;
  border-radius: 10px;
  box-shadow: 7px 7px 20px rgb(214, 214, 214);
  transition: all 0.3s ease;
}

.card:hover {
  background-color: #888a84;
  color: #eee;
  box-shadow: 7px 7px 20px 2px rgb(187, 187, 187);
}

.card h3 {
  margin: 0 0.2rem 0 0;
  font-size: 1.5rem;
}

.card p {
  margin: 0;
  font-size: 1.25rem;
  line-height: 1.5;
}

.logo {
  height: 1em;
}

@media (max-width: 1000px) {
  main {
    padding: 1rem 0;
  }

  .grid {
    width: 96%;
  }

  .rbc-calendar {
    height: 50vh !important;
  }
}

/* ––––– Task Card ––––– */

.task {
  padding: 10px 10px 7px 10px;
  border: 3px solid #bfbfb7;
  border-radius: 10px;
  transition: all 0.4s ease;
  background-color: white;
  color: #666;
  position: relative;
}

.card:hover .task {
  border: 3px solid #888a84;
}

.task:hover,
.task:focus,
.task:active {
  color: #222;
  border: 3px solid #444 !important;
}

.task h5 {
  margin: 0 0 5px 0;
  text-align: left;
  font-size: 1rem;
}

.card .removeTask {
  position: absolute;
  top: 7px;
  right: 10px;
  font-size: 0.8rem;
  color: #eee;
  background-color: #bbb;
  transition: all 0.4s ease;
  padding: 0px 7px 2px 7px;
  border-radius: 4px;
  opacity: 0;
}

.task:hover .removeTask {
  opacity: 1;
}

.removeTask:hover {
  background-color: #733d;
}

.card .description {
  font-size: 0.75rem;
  text-align: justify;
  margin: 0 0 5px 0;
}

.card .dates {
  display: flex;
  justify-content: flex-end;
}

.card .dates * {
  font-size: 0.9rem;
  font-weight: 700;
  color: rgb(255, 255, 255);
  padding: 0px 7px 1px 7px;
  border-radius: 6px;
}

.card .forDate {
  background-color: rgba(0, 102, 80, 0.6);
}

.card .dueDate {
  background-color: rgba(119, 0, 0, 0.6);
  margin-left: 5px;
}

/* no task */
.notask {
  text-align: center;
}

.notask * {
  padding: 0;
  margin: 0;
}

.notask h4 {
  font-size: 1.5rem;
  opacity: 0.4;
}

.notask p {
  font-size: 0.85rem;
  opacity: 0.5;
  font-weight: 600;
}

/* Add Task & Category */

form {
  display: grid;
  grid-template-columns: 1fr 3fr;
  row-gap: 0.5rem;
  column-gap: 0.5rem;
}

form > * {
  width: 100% !important;
  font-weight: 600;
}

label {
  margin: 5px 0px;
  text-align: right;
  color: #333;
}

.radios {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: left;
  background-color: #999;
  border-radius: 3px;
  transition: 0.15s all ease-in-out;
}

.radios:hover {
  background-color: #666;
}

.radios label {
  margin: 0 20px 0 3px;
  color: #fff;
}

input,
textarea {
  color: #444;
  border: 1px solid #ccc;
  border-radius: 3px;
  padding: 5px 10px;
  font-size: 0.9rem;
  text-align: center;
}

input {
  text-align: center;
}

textarea {
  text-align: justify;
}

input:focus,
textarea:focus {
  background-color: #999;
  color: #fff;
}

input[type="submit"] {
  background-color: #999;
  color: #fff;
  transition: 0.15s all ease-in-out;
}

input[type="submit"]:hover {
  background-color: #666;
  color: #fff;
}

tag * {
  width: 100%;
  text-align: center;
  font-family: Vazir;
}

.calendarContainer {
  font-family: Vazir;
}
